# Uses of Interface
org.eclipse.emf.cdo.common.revision.delta.CDOFeatureDelta

Packages that use CDOFeatureDelta
Package
Description
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.common.revision.delta
Common concepts for dealing with revision deltas and feature deltas.
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOFeatureDelta in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return CDOFeatureDelta
Modifier and Type
Method
Description
`CDOFeatureDelta`
CDODataInput.`readCDOFeatureDelta(EClass owner)`
Methods in org.eclipse.emf.cdo.common.protocol with parameters of type CDOFeatureDelta
Modifier and Type
Method
Description
`void`
CDODataOutput.`writeCDOFeatureDelta(EClass owner, CDOFeatureDelta featureDelta)`

## Uses of CDOFeatureDelta in org.eclipse.emf.cdo.common.revision.delta

Subinterfaces of CDOFeatureDelta in org.eclipse.emf.cdo.common.revision.delta
Modifier and Type
Interface
Description
`interface`
`CDOAddFeatureDelta`
A `feature delta` that represents an addition to a many-valued `feature`.
`interface`
`CDOClearFeatureDelta`
A `feature delta` that represents the removal of all elements from a many-valued `feature`.
`interface`
`CDOContainerFeatureDelta`
A `feature delta` that represents a modification of the `eContainer` feature.
`interface`
`CDOListFeatureDelta`
A `feature delta` that represents any modification of the list of a many-valued `feature`.
`interface`
`CDOMoveFeatureDelta`
A `feature delta` that represents a move of one element of a many-valued `feature` to a different list position.
`interface`
`CDORemoveFeatureDelta`
A `feature delta` that represents a removal from a many-valued `feature`.
`interface`
`CDOSetFeatureDelta`
A `feature delta` that represents a value change of a single-valued `feature`.
`interface`
`CDOUnsetFeatureDelta`
A `feature delta` that represents the unsetting of the value of a `feature`.
Methods in org.eclipse.emf.cdo.common.revision.delta that return CDOFeatureDelta
Modifier and Type
Method
Description
`CDOFeatureDelta`
CDOFeatureDelta.`copy()`
`CDOFeatureDelta`
CDORevisionDelta.`getFeatureDelta(EStructuralFeature feature)`
Methods in org.eclipse.emf.cdo.common.revision.delta that return types with arguments of type CDOFeatureDelta
Modifier and Type
Method
Description
`List<CDOFeatureDelta>`
CDORevisionDelta.`getFeatureDeltas()`
`List<CDOFeatureDelta>`
CDOListFeatureDelta.`getListChanges()`

## Uses of CDOFeatureDelta in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDOFeatureDelta
Modifier and Type
Method
Description
`CDOFeatureDelta`
CDODataInputImpl.`readCDOFeatureDelta(EClass owner)`
Methods in org.eclipse.emf.cdo.spi.common.protocol with parameters of type CDOFeatureDelta
Modifier and Type
Method
Description
`void`
CDODataOutputImpl.`writeCDOFeatureDelta(EClass owner, CDOFeatureDelta featureDelta)`

## Uses of CDOFeatureDelta in org.eclipse.emf.cdo.spi.common.revision

Subinterfaces of CDOFeatureDelta in org.eclipse.emf.cdo.spi.common.revision
Modifier and Type
Interface
Description
`interface`
`InternalCDOFeatureDelta`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.emf.cdo.spi.common.revision that return types with arguments of type CDOFeatureDelta
Modifier and Type
Method
Description
`Map<EStructuralFeature,CDOFeatureDelta>`
InternalCDORevisionDelta.`getFeatureDeltaMap()`
Methods in org.eclipse.emf.cdo.spi.common.revision with parameters of type CDOFeatureDelta
Modifier and Type
Method
Description
`void`
InternalCDORevisionDelta.`addFeatureDelta(CDOFeatureDelta delta)`
Deprecated.
As of 4.2 use `InternalCDORevisionDelta.addFeatureDelta(CDOFeatureDelta, CDOOriginSizeProvider)`.
`void`
InternalCDORevisionDelta.`addFeatureDelta(CDOFeatureDelta delta, CDOOriginSizeProvider originSizeProvider)`

## Uses of CDOFeatureDelta in org.eclipse.emf.cdo.transaction

Methods in org.eclipse.emf.cdo.transaction with parameters of type CDOFeatureDelta
Modifier and Type
Method
Description
`boolean`
CDOUndoDetector.`detectUndo(CDOTransaction transaction, CDORevision cleanRevision, CDORevision currentRevision, CDOFeatureDelta featureDelta)`
`final void`
CDOAsyncTransactionHandler.`modifyingObject(CDOTransaction transaction, CDOObject object, CDOFeatureDelta featureChange)`
Asynchronously executes the delegate handler's `modifyingObject()` method.
`void`
CDOAutoAttacher.`modifyingObject(CDOTransaction transaction, CDOObject object, CDOFeatureDelta featureChange)`
`void`
CDOAutoLocker.ForSingleValuedChanges.`modifyingObject(CDOTransaction transaction, CDOObject object, CDOFeatureDelta featureChange)`
`void`
CDOAutoLocker.`modifyingObject(CDOTransaction transaction, CDOObject object, CDOFeatureDelta featureChange)`
`void`
CDODefaultTransactionHandler1.`modifyingObject(CDOTransaction transaction, CDOObject object, CDOFeatureDelta featureChange)`
This implementation does nothing.
`void`
CDOPostEventTransactionHandler.`modifyingObject(CDOTransaction transaction, CDOObject object, CDOFeatureDelta featureDelta)`
`void`
CDOTransactionHandler1.`modifyingObject(CDOTransaction transaction, CDOObject object, CDOFeatureDelta featureDelta)`
Called by a `CDOTransaction` before an object is modified.
`void`
CDODefaultTransactionHandler1.`undoingObject(CDOTransaction transaction, CDOObject object, CDOFeatureDelta featureDelta)`
This implementation does nothing.
`void`
CDOTransactionHandler1.WithUndo.`undoingObject(CDOTransaction transaction, CDOObject object, CDOFeatureDelta featureDelta)`
Called by a `CDOTransaction` before an object is modified.

## Uses of CDOFeatureDelta in org.eclipse.emf.cdo.view

Methods in org.eclipse.emf.cdo.view that return CDOFeatureDelta
Modifier and Type
Method
Description
`CDOFeatureDelta`
CDOViewEventProducer.CDOModifyingObjectEvent.`getFeatureDelta()`

## Uses of CDOFeatureDelta in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return CDOFeatureDelta
Modifier and Type
Method
Description
`protected CDOFeatureDelta`
DefaultCDOMerger.PerFeature.`changedInSource(CDOFeatureDelta featureDelta)`
`protected CDOFeatureDelta`
DefaultCDOMerger.PerFeature.`changedInSourceAndTarget(CDOFeatureDelta targetFeatureDelta, CDOFeatureDelta sourceFeatureDelta)`
`protected CDOFeatureDelta`
DefaultCDOMerger.PerFeature.`changedInSourceAndTargetManyValued(EStructuralFeature feature, CDOFeatureDelta targetFeatureDelta, CDOFeatureDelta sourceFeatureDelta)`
`protected CDOFeatureDelta`
DefaultCDOMerger.PerFeature.ManyValued.`changedInSourceAndTargetManyValued(EStructuralFeature feature, CDOFeatureDelta targetFeatureDelta, CDOFeatureDelta sourceFeatureDelta)`
`protected CDOFeatureDelta`
DefaultCDOMerger.PerFeature.ManyValuedOld.`changedInSourceAndTargetManyValued(EStructuralFeature feature, CDOFeatureDelta targetFeatureDelta, CDOFeatureDelta sourceFeatureDelta)`
`protected CDOFeatureDelta`
DefaultCDOMerger.PerFeature.`changedInSourceAndTargetSingleValued(EStructuralFeature feature, CDOFeatureDelta targetFeatureDelta, CDOFeatureDelta sourceFeatureDelta)`
`protected CDOFeatureDelta`
DefaultCDOMerger.PerFeature.`changedInTarget(CDOFeatureDelta featureDelta)`
Methods in org.eclipse.emf.spi.cdo with parameters of type CDOFeatureDelta
Modifier and Type
Method
Description
`protected CDOFeatureDelta`
DefaultCDOMerger.PerFeature.`changedInSource(CDOFeatureDelta featureDelta)`
`protected CDOFeatureDelta`
DefaultCDOMerger.PerFeature.`changedInSourceAndTarget(CDOFeatureDelta targetFeatureDelta, CDOFeatureDelta sourceFeatureDelta)`
`protected CDOFeatureDelta`
DefaultCDOMerger.PerFeature.`changedInSourceAndTargetManyValued(EStructuralFeature feature, CDOFeatureDelta targetFeatureDelta, CDOFeatureDelta sourceFeatureDelta)`
`protected CDOFeatureDelta`
DefaultCDOMerger.PerFeature.ManyValued.`changedInSourceAndTargetManyValued(EStructuralFeature feature, CDOFeatureDelta targetFeatureDelta, CDOFeatureDelta sourceFeatureDelta)`
`protected CDOFeatureDelta`
DefaultCDOMerger.PerFeature.ManyValuedOld.`changedInSourceAndTargetManyValued(EStructuralFeature feature, CDOFeatureDelta targetFeatureDelta, CDOFeatureDelta sourceFeatureDelta)`
`protected CDOFeatureDelta`
DefaultCDOMerger.PerFeature.`changedInSourceAndTargetSingleValued(EStructuralFeature feature, CDOFeatureDelta targetFeatureDelta, CDOFeatureDelta sourceFeatureDelta)`
`protected CDOFeatureDelta`
DefaultCDOMerger.PerFeature.`changedInTarget(CDOFeatureDelta featureDelta)`
`void`
InternalCDOTransaction.`registerDirty(InternalCDOObject object, CDOFeatureDelta featureDelta)`
`void`
InternalCDOTransaction.`registerDirty(InternalCDOObject object, CDOFeatureDelta featureDelta, InternalCDORevision cleanRevision)`
`void`
InternalCDOTransaction.`registerFeatureDelta(InternalCDOObject object, CDOFeatureDelta featureDelta)`
`void`
InternalCDOTransaction.`registerFeatureDelta(InternalCDOObject object, CDOFeatureDelta featureDelta, InternalCDORevision cleanRevision)`
`protected void`
AbstractChangeSetsConflictResolver.`transactionModifyingObject(CDOObject object, CDOFeatureDelta featureDelta)`